Aucun moteur disponible pour traduire
L’API renvoie 403 Forbidden pour ce problème. Son type est https://lingo.dev/docs/api/errors/no-translatable-engine. Consultez Erreurs et codes de statut pour connaître la structure commune à toutes les erreurs.
Vous ne pouvez utiliser aucun moteur de l’organisation <organizationId> pour traduire. Aucune de vos tâches de localisation ne pourrait donc utiliser un artefact de cette organisation. Demandez à la personne qui administre l’organisation de vous accorder l’autorisation 'engine:translate' ou l’accès à un moteur.
Champs#
Outre les membres standard type, status, title et detail, le corps contient les champs suivants. Le texte detail est généré à partir de ces champs : un client peut donc afficher son propre texte à la place.
| Champ | Type |
|---|---|
organizationId | string |
Exemple#
json
{
"detail": "You cannot translate with any engine of organization <organizationId>, so no localization job of yours could use an artifact there. Ask an organization admin for the 'engine:translate' permission or for access to an engine.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/no-translatable-engine",
"status": 403,
"title": "No engine to translate with"
}Renvoyée par#
PUT /v2/organizations/{orgId}/localization/artifacts/{address}